Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1268123 - Publishing content views fail with undefined method `rpm_ids' for #<Katello::Repository:0x00000010592da0> (NoMethodError)
Summary: Publishing content views fail with undefined method `rpm_ids' for #<Katello::...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: Unspecified
Assignee: Mike McCune
QA Contact: Og Maciel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-01 21:20 UTC by Og Maciel
Modified: 2017-02-23 19:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-18 17:50:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
UI showing error (33.66 KB, image/png)
2015-10-01 21:20 UTC, Og Maciel
no flags Details
foreman-debug (445.83 KB, application/octet-stream)
2015-10-01 21:23 UTC, Og Maciel
no flags Details

Description Og Maciel 2015-10-01 21:20:24 UTC
Created attachment 1079269 [details]
UI showing error

Description of problem:

Publishing a content view fails with the following error:

  undefined method `rpm_ids' for #<Katello::Repository:0x00000010592da0> (NoMethodError)


Version-Release number of selected component (if applicable):

* Satellite 6.1.3 on RHEL 7.1 (build from Oct. 1, 2015)

How reproducible:


Steps to Reproduce:
1. Create and sync a custom YUM repository
2. Crete a content view and add said repository
3. Publish content view

Actual results:

The publish method fails with aforementioned error

Expected results:


Additional info:

Comment 1 Og Maciel 2015-10-01 21:23:11 UTC
Created attachment 1079270 [details]
foreman-debug

Comment 4 Og Maciel 2015-10-02 20:36:47 UTC
Verified by QE using a Satellite-6.1.0-RHEL-7-20151002.0 compose.

Content views were published and promoted with success.


Note You need to log in before you can comment on or make changes to this bug.